]> SALOME platform Git repositories - tools/sat_salome.git/commitdiff
Salome HOME
prepare ALAMOS master native Fedora 34
authorNabil Ghodbane <nabil.ghodbane@cea.fr>
Tue, 7 Jun 2022 07:33:13 +0000 (09:33 +0200)
committerNabil Ghodbane <nabil.ghodbane@cea.fr>
Tue, 7 Jun 2022 07:33:13 +0000 (09:33 +0200)
products/compil_scripts/freeimage-3.18.0.sh [new file with mode: 0755]
products/freeimage.pyconf
products/matplotlib.pyconf

diff --git a/products/compil_scripts/freeimage-3.18.0.sh b/products/compil_scripts/freeimage-3.18.0.sh
new file mode 100755 (executable)
index 0000000..5d7a424
--- /dev/null
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+echo "###############################################"
+echo "freeimage" $VERSION
+echo "###############################################"
+
+rm -rf $BUILD_DIR
+mkdir $BUILD_DIR
+cd $BUILD_DIR
+cp -r $SOURCE_DIR/* .
+
+echo -n ".. Patching freeimage sources: fix build procedure..." && \
+    sed -i "s%DESTDIR ?= /%DESTDIR ?= /usr%g;s%INCDIR ?= \$(DESTDIR)/usr/include%INCDIR ?= \$(DESTDIR)/include%g;s%INSTALLDIR ?= \$(DESTDIR)/usr/lib%INSTALLDIR ?= \$(DESTDIR)/lib%g;s%-o root -g root %%g" Makefile.gnu >& /dev/null && \
+    sed -i "s%DESTDIR ?= /%DESTDIR ?= /usr%g;s%INCDIR ?= \$(DESTDIR)/usr/include%INCDIR ?= \$(DESTDIR)/include%g;s%INSTALLDIR ?= \$(DESTDIR)/usr/lib%INSTALLDIR ?= \$(DESTDIR)/lib%g;s%-o root -g root %%g" Makefile.fip >& /dev/null && \
+    sed -i "s/CXXFLAGS += -D__ANSI__/CXXFLAGS += -D__ANSI__ -std=c++11/g" Makefile.gnu >& /dev/null
+    if [ "$?" != "0" ] ; then
+               echo
+               echo "Error: problem patching freeimage sources"
+               echo
+               return 1
+           fi
+           echo "OK"
+
+           echo -n ".. Patching freeimage sources: gcc 4.7 compatibility..." && \
+               sed -i 's%\(#include "OpenEXRConfig.h"\)%\1\n#include <string.h>%g' Source/OpenEXR/IlmImf/ImfAutoArray.h
+           if [ "$?" != "0" ] ; then
+               echo
+               echo "Error: problem patching freeimage sources"
+               echo
+           fi
+           echo "OK"
+
+echo
+echo "*** FreeImage: make" $MAKE_OPTIONS
+make -f Makefile.gnu
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make"
+    exit 2
+fi
+
+echo
+echo "*** FreeImage: make install"
+make -f Makefile.gnu DESTDIR=$PRODUCT_INSTALL install
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make install"
+    exit 3
+fi
+
+echo
+echo "*** FreeImage: make clean"
+make -f Makefile.gnu clean
+
+echo
+echo "*** FreeImagePlus: make" $MAKE_OPTIONS
+make -f Makefile.fip
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make"
+    exit 2
+fi
+
+echo
+echo "*** FreeImagePlus: make install"
+make -f Makefile.fip DESTDIR=$PRODUCT_INSTALL install
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make install"
+    exit 3
+fi
+
+echo
+echo "*** FreeImagePlus: make clean"
+make -f Makefile.fip clean
+
+echo
+echo "########## END"
+
index d5e5671817853d616ed9f6a444c367b075e5e5da..f5c512b87ac4443388695cad8902ff0cb9ddbed8 100644 (file)
@@ -41,6 +41,7 @@ version_3_16_0 :
 # NOTE: do not delete this section, it was added in order to be able to overload it for Windows
 version_3_18_0:
 {
+  compil_script :  "freeimage-3.18.0.sh"
   patches : [] 
 }
 
index 779131a4ecf5641e079bb7a8ac0483f72af3e243..442e9fa9c39db8d95097d078def14c1b3ffd3d2a 100755 (executable)
@@ -16,7 +16,8 @@ default :
         env_script : $name + ".py"
     }
     # OP distribute is not useful anymore
-    depend : ['Python', 'setuptools', 'PyQt',  'numpy', 'freetype', 'six', 'pytz', 'pyparsing', 'dateutil', 'cycler', 'kiwisolver']
+    depend : ['Python', 'setuptools', 'PyQt',  'numpy', 'freetype', 'six', 'pytz', 'pyparsing', 'dateutil', 'cycler']
+    opt_depend : ['kiwisolver']
     source_dir : $APPLICATION.workdir + $VARS.sep + 'SOURCES' + $VARS.sep + $name
     build_dir : $APPLICATION.workdir + $VARS.sep + 'BUILD' + $VARS.sep + $name
     install_dir : 'base'
@@ -31,7 +32,8 @@ default_win :
 {
    compil_script : 'pip_install_whl' + $VARS.scriptExtension
    archive_info : {archive_name : "matplotlib-" + $APPLICATION.products.matplotlib + "_windows.tar.gz"}
-   depend : ['Python', 'PyQt',  'numpy', 'freetype', 'six', 'pytz', 'pyparsing', 'dateutil', 'setuptools', 'cycler', 'kiwisolver']
+   depend : ['Python', 'PyQt',  'numpy', 'freetype', 'six', 'pytz', 'pyparsing', 'dateutil', 'setuptools', 'cycler']
+   opt_depend : ['kiwisolver']
    properties:
    {
      incremental : "yes"